mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("05F696DC-2B29-3663-AD8B-C4389CF2A713") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The name of the directory to be appended to the private path.
- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.AssemblyLoadEventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ResolveEventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  See the property.

  Provides COM objects with version-independent access to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  See the method.

  Provides COM objects with version-independent access to the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  See the method.

  Provides COM objects with version-independent access to the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` ``

  See the method.

  Provides COM objects with version-independent access to the method.

  An object that is a wrapper for the new instance specified by . The return value needs to be unwrapped to access the real object.

  The display name of the assembly. See . The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` `` ``

  See the method overload.

  The parameter is related to client-activated objects; see Client Activation.

  Provides COM objects with version-independent access to the method overload.

  An object that is a wrapper for the new instance specified by . The return value needs to be unwrapped to access the real object.

  The display name of the assembly. See . The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property. An array of one or more attributes that can participate in activation. Typically, an array that contains a single object. The specifies the URL that is required to activate a remote object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` `` `` `` `` `` `` `` ``

  See the method overload.

  The parameter is related to client-activated objects; see Client Activation.

  Provides COM objects with version-independent access to the method overload.

  An object that is a wrapper for the new instance specified by . The return value needs to be unwrapped to access the real object.

  The display name of the assembly. See . The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property. A Boolean value specifying whether to perform a case-sensitive search or not. A combination of zero or more bit flags that affect the search for the constructor. If is zero, a case-sensitive search for public constructors is conducted. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects using reflection. If is null, the default binder is used. The arguments to pass to the constructor. This array of arguments must match in number, order, and type the parameters of the constructor to invoke. If the default constructor is preferred, must be an empty array or null. Culture-specific information that governs the coercion of to the formal types declared for the constructor. If is null, the for the current thread is used. An array of one or more attributes that can participate in activation. Typically, an array that contains a single object. The specifies the URL that is required to activate a remote object. Information used to authorize creation of .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  An object that is a wrapper for the new instance, or null if is not found. The return value needs to be unwrapped to access the real object.

  The name, including the path, of a file that contains an assembly that defines the requested type. The assembly is loaded using the method. The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` `` ``

  See the method overload.

  The parameter is related to client-activated objects; see Client Activation.

  Provides COM objects with version-independent access to the method overload.

  An object that is a wrapper for the new instance, or null if is not found. The return value needs to be unwrapped to access the real object.

  The name, including the path, of a file that contains an assembly that defines the requested type. The assembly is loaded using the method. The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property. An array of one or more attributes that can participate in activation. Typically, an array that contains a single object. The specifies the URL that is required to activate a remote object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjectHandle `` `` `` `` `` `` `` `` ``

  See the method overload.

  The parameter is related to client-activated objects; see Client Activation.

  Provides COM objects with version-independent access to the method overload.

  An object that is a wrapper for the new instance, or null if is not found. The return value needs to be unwrapped to access the real object.

  The name, including the path, of a file that contains an assembly that defines the requested type. The assembly is loaded using the method. The fully qualified name of the requested type, including the namespace but not the assembly, as returned by the property. A Boolean value specifying whether to perform a case-sensitive search or not. A combination of zero or more bit flags that affect the search for the constructor. If is zero, a case-sensitive search for public constructors is conducted. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects through reflection. If is null, the default binder is used. The arguments to pass to the constructor. This array of arguments must match in number, order, and type the parameters of the constructor to invoke. If the default constructor is preferred, must be an empty array or null. Culture-specific information that governs the coercion of to the formal types declared for the constructor. If is null, the for the current thread is used. An array of one or more attributes that can participate in activation. Typically, an array that contains a single object. The specifies the URL that is required to activate a remote object. Information used to authorize creation of .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The access mode for the dynamic assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The evidence supplied for the dynamic assembly. The evidence is used unaltered as the final set of evidence used for policy resolution.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The name of the directory where the assembly will be saved. If is null, the directory defaults to the current directory.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The name of the directory where the assembly will be saved. If is null, the directory defaults to the current directory. The evidence supplied for the dynamic assembly. The evidence is used unaltered as the final set of evidence used for policy resolution.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The required permissions request. The optional permissions request. The refused permissions request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The evidence supplied for the dynamic assembly. The evidence is used unaltered as the final set of evidence used for policy resolution. The required permissions request. The optional permissions request. The refused permissions request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The name of the directory where the assembly will be saved. If is null, the directory defaults to the current directory. The required permissions request. The optional permissions request. The refused permissions request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The name of the directory where the assembly will be saved. If is null, the directory defaults to the current directory. The evidence supplied for the dynamic assembly. The evidence is used unaltered as the final set of evidence used for policy resolution. The required permissions request. The optional permissions request. The refused permissions request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  Represents the dynamic assembly created.

  The unique identity of the dynamic assembly. The mode in which the dynamic assembly will be accessed. The name of the directory where the dynamic assembly will be saved. If is null, the directory defaults to the current directory. The evidence supplied for the dynamic assembly. The evidence is used unaltered as the final set of evidence used for policy resolution. The required permissions request. The optional permissions request. The refused permissions request. true to synchronize the creation of modules, types, and members in the dynamic assembly; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  A delegate that specifies a method to call.
- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  See the property.

  Provides COM objects with version-independent access to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  See the method.

  Provides COM objects with version-independent access to the inherited method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare to the current .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Evidence To be added: an object of type 'Security.Policy.Evidence'

  See the property.

  Provides COM objects with version-independent access to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The value returned by the entry point of the assembly.

  The name of the file that contains the assembly to execute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The value returned by the entry point of the assembly.

  The name of the file that contains the assembly to execute. Evidence for loading the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The value returned by the entry point of the assembly.

  The name of the file that contains the assembly to execute. The supplied evidence for the assembly. The arguments to the entry point of the assembly.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  See the property.

  Provides COM objects with version-independent access to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly[]

  See the method.

  Provides COM objects with version-independent access to the method.

  An array of assemblies in this application domain.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The value of the property.

  The name of a predefined application domain property, or the name of an application domain property you have defined.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  See the method.

  Provides COM objects with version-independent access to the inherited method.

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  See the method.

  Provides COM objects with version-independent access to the inherited method.

  An object of type used to control the lifetime policy for this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  See the method.

  Provides COM objects with version-independent access to the method.

  A representing the type of the current instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  See the method.

  Provides COM objects with version-independent access to the method.

  Always null.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  An array of type byte that is a COFF-based image containing an emitted assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  An object that describes the assembly to load.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  The display name of the assembly. See .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  An array of type byte that is a COFF-based image containing an emitted assembly. An array of type byte containing the raw bytes representing the symbols for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  An object that describes the assembly to load. Evidence for loading the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  The display name of the assembly. See . Evidence for loading the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` `` ``

  See the method overload.

  Provides COM objects with version-independent access to the method overload.

  The loaded assembly.

  An array of type byte that is a COFF-based image containing an emitted assembly. An array of type byte containing the raw bytes representing the symbols for the assembly. Evidence for loading the assembly.
- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  See the property.

  Provides COM objects with version-independent access to the property.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ResolveEventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The security policy level.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The fully qualified path to the shadow copy location.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The name of a user-defined application domain property to create or change. The value of the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  One of the values that specifies the type of the principal object to attach to threads.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  A list of directory names, where each name is separated by a semicolon.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  See the method.

  Provides COM objects with version-independent access to the method.

  The principal object to attach to threads.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  See the property.

  Provides COM objects with version-independent access to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  See the method.

  Provides COM objects with version-independent access to the method.

  A string formed by concatenating the literal string "Name:", the friendly name of the application domain, and either string representations of the context policies or the string "There are no context policies."

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ResolveEventHandler

  See the event.

  Provides COM objects with version-independent access to the event.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UnhandledExceptionEventHandler

  See the event.

  Provides COM objects with version-independent access to the event.